Bug 857714 - [abrt] python-tools-2.7.3-7.2.fc17: codecs.py:881:open:IOError: [Errno 13] Permission denied: './build/lib.linux-x86_64-2.7/jcc/__init__.py'
[abrt] python-tools-2.7.3-7.2.fc17: codecs.py:881:open:IOError: [Errno 13] Pe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:5678dd5aa3df82e09a96984ac3f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-16 08:44 EDT by Bengt Lüers
Modified: 2013-07-31 15:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:43:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.03 KB, text/plain)
2012-09-16 08:44 EDT, Bengt Lüers
no flags Details

  None (edit)
Description Bengt Lüers 2012-09-16 08:44:43 EDT
Version-Release number of selected component:
python-tools-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python2.7 /usr/bin/2to3 . -w
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:codecs.py:881:open:IOError: [Errno 13] Permission denied: './build/lib.linux-x86_64-2.7/jcc/__init__.py'
:
:Traceback (most recent call last):
:  File "/usr/bin/2to3", line 5, in <module>
:    sys.exit(main("lib2to3.fixes"))
:  File "/usr/lib64/python2.7/lib2to3/main.py", line 260, in main
:    options.processes)
:  File "/usr/lib64/python2.7/lib2to3/refactor.py", line 706, in refactor
:    items, write, doctests_only)
:  File "/usr/lib64/python2.7/lib2to3/refactor.py", line 299, in refactor
:    self.refactor_dir(dir_or_file, write, doctests_only)
:  File "/usr/lib64/python2.7/lib2to3/refactor.py", line 319, in refactor_dir
:    self.refactor_file(fullname, write, doctests_only)
:  File "/usr/lib64/python2.7/lib2to3/refactor.py", line 747, in refactor_file
:    *args, **kwargs)
:  File "/usr/lib64/python2.7/lib2to3/refactor.py", line 358, in refactor_file
:    write=write, encoding=encoding)
:  File "/usr/lib64/python2.7/lib2to3/refactor.py", line 524, in processed_file
:    self.write_file(new_text, filename, old_text, encoding)
:  File "/usr/lib64/python2.7/lib2to3/main.py", line 101, in write_file
:    write(new_text, filename, old_text, encoding)
:  File "/usr/lib64/python2.7/lib2to3/refactor.py", line 536, in write_file
:    f = _open_with_encoding(filename, "w", encoding=encoding)
:  File "/usr/lib64/python2.7/codecs.py", line 881, in open
:    file = __builtin__.open(filename, mode, buffering)
:IOError: [Errno 13] Permission denied: './build/lib.linux-x86_64-2.7/jcc/__init__.py'
:
:Local variables in innermost frame:
:filename: './build/lib.linux-x86_64-2.7/jcc/__init__.py'
:mode: 'wb'
:buffering: 1
:errors: 'strict'
:encoding: 'utf-8'
Comment 1 Bengt Lüers 2012-09-16 08:44:46 EDT
Created attachment 613408 [details]
File: core_backtrace
Comment 2 Thomas Spura 2012-09-16 09:22:46 EDT
Thanks for the bug report.

How can you reproduce this bug?
It looks like you don't have writing permissions to the ./build directory you where currently in.
Comment 3 Bengt Lüers 2012-09-16 10:26:43 EDT
Yes I accidentally set ownership to root by issuing `sudo python setup.py install` which implicitly calls `python setup.py build` with root privileges. 

This but is a common mistake, I guess. Is it correct for 2to3 to raise this exception or should it be handled by telling the user that probably the permissions of the build directory are set wrong and how to correct it?
Comment 4 Thomas Spura 2012-09-16 13:32:17 EDT
(In reply to comment #3)
> Is it correct for 2to3 to raise this
> exception or should it be handled by telling the user that probably the
> permissions of the build directory are set wrong and how to correct it?

That might be a matter of taste...

Usually only developers will invoke 2to3 so not caring that much about all corner cases and ignoring abrt would be fine (but annoying...).
Telling the user that writing to that file failed would work, but honestly I'd prefer to ignore abrt...
Comment 5 Bengt Lüers 2012-09-16 18:10:09 EDT
2to3 has become quite usual for providing forward compatibility to Python 3. So regular users might make the same mistake I made, when installing manually. When in doubt, I tend to report using abrt, maybe because I think that crashes like this should not appear in situations the program could have handled on its own (e.g. by informing the user). Others might do the same and in effect spam unnecessary reports.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:05:24 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:05:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:08:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:16:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2013-05-10 01:16:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora End Of Life 2013-07-03 16:11:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 15:43:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.